### Method

# WebKit NavigationPolicyDecision get_navigation_action

since: 2.6

#### Declaration [src]

    WebKitNavigationAction*
    webkit_navigation_policy_decision_get_navigation_action (
      WebKitNavigationPolicyDecision* decision
    )

#### Description [src]

Gets the value of the `WebKitNavigationPolicyDecision:navigation-action` property.

Available since: 2.6

Gets property | `WebKit.NavigationPolicyDecision:navigation-action`

#### Return value

Type: `WebKitNavigationAction`

The `WebKitNavigationAction` triggering this policy decision.

The returned data is owned by the instance.